Bug 25693 - install error
install error
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.0
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-02-02 07:43 EST by fred uberkinger
Modified: 2007-04-18 12:31 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-02 14:07:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
anaconda (1.34 KB, text/plain)
2001-02-02 07:44 EST, fred uberkinger
no flags Details

  None (edit)
Description fred uberkinger 2001-02-02 07:43:50 EST
Traceback (innermost last):
  File "/usr/bin/anaconda", line 438, in ?
    intf.run(todo, test = test)
  File 
"/var/tmp/anaconda-7.0.1//usr/lib/anaconda/gui.py", line 336, in run
    self.icw.run ()
  File 
"/var/tmp/anaconda-7.0.1//usr/lib/anaconda/gui.py", 
line 678, in run
    mainloop ()
  File "/usr/lib/python1.5/site-packages/gtk.py", line 2554, in mainloop
    _gtk.gtk_main()
  File 
"/usr/lib/python1.5/site-packages/gtk.py", line 125, in __call__
    ret = apply(self.func, a)
  File 
"/var/tmp/anaconda-7.0.1//usr/lib/anaconda/gui.py", line 428, in nextClicked
    self.setScreen (self.currentScreen, self.nextClicked)
  File 
"/var/tmp/anaconda-7.0.1//usr/lib/anaconda/gui.py", line 466, in setScreen
    new_screen = screen.getScreen ()
  File 
"/var/tmp/anaconda-7.0.1//usr/lib/anaconda/iw/rootpartition_gui.py", line 133, in getScreen
    avail = apply(isys.spaceAvailable, 
self.todo.fstab.getRootDevice())
  File "isys.py", line 10, in spaceAvailable
    mount(device, "/mnt/space", fstype = fsystem)
  File "isys.py", 
line 99, in mount
    rc = _isys.mount(fstype, device, location, readOnly)
SystemError: (22, 'Invalid argument')

Local variables in innermost 
frame:
fstype: vfat
location: /mnt/space
devName: /tmp/hda6
readOnly: 0
device: /tmp/hda6

ToDo object:
(itodo
ToDo
p1
(dp2
S'method'
p3
(iimage
CdromInstallMethod
p4
(dp5
S'progressWindow'
p6

<failed>
Comment 1 fred uberkinger 2001-02-02 07:44:38 EST
Created attachment 8721 [details]
anaconda
Comment 2 Michael Fulbright 2001-02-02 14:07:07 EST
Does /dev/hda6 have a valid vfat filesystem on it?
Comment 3 Michael Fulbright 2001-02-25 11:34:15 EST
Closing due to inactivity.
Comment 4 fred uberkinger 2001-02-26 03:30:35 EST
-------- Additional comments from msf@redhat.com  2001-02-02 14:07 -------
    +------- Additional comments from msf@redhat.com 2001-02-02 14:07:07 -------
     Does /dev/hda6 have a valid vfat filesystem on it?
    +
    +------- Additional comments from msf@redhat.com 2001-02-25 11:34:15 -------
    +Closing due to inactivity.

Answer:
Yep! That was it! There was a fragmented vfat-fs on the hdd. anaconda seemed to have problems to overwrite these data.
The /dev/hda1 was newly created (as cfat), but the rest of the hdd was still ext2!
I guess, one should force a linux-fs before, eh?

sorry, for that!

Note You need to log in before you can comment on or make changes to this bug.